## org.eclipse.jst.jsf.common.dom
Class TagIdentifier

    java.lang.Object
      org.eclipse.jst.jsf.common.dom.TagIdentifier

    public abstract class TagIdentifier

extends java.lang.Object

Creates an abstraction for a tag. A tag is defined as a DOM Element whose namespace uri may be defined outside of the DOM, such as in a JSP tag library declaration. This allows tags to be abstracted from actual DOM elements, which is useful in situations like palette creation drops where the construction information is known, but we are not ready to create and add a node to the document yet. All tag TagIdentifiers should be considered immutable and idempotent. TagIdentifier instances may be cached by the factory.

Provisional API - subject to change

Constructor Summary
`TagIdentifier()`

Method Summary
`javax.xml.namespace.QName` `asQName()`
`boolean` `equals(java.lang.Object compareTo)`
`abstract java.lang.String` `getTagName()`
`abstract java.lang.String` `getUri()`
`int` `hashCode()`
`abstract boolean` `isJSPTag()`
`boolean` `isSameTagType(TagIdentifier tagWrapper)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagIdentifier

    public TagIdentifier()

Method Detail

### getUri

    public abstract java.lang.String getUri()

  Returns:
    the uri that uniquely identifies the tag. i.e. If the tag is defined by an XML namespace, then that uri string will be returned. If the tag is defined by a JSP tag library, then the tag library uri should be returned.

### getTagName

    public abstract java.lang.String getTagName()

  Returns:
    the local name of the tag (without namespace prefix)

### isJSPTag

    public abstract boolean isJSPTag()

  Returns:
    true if this tag is a JSP tag

### equals

    public final boolean equals(java.lang.Object compareTo)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public final int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### isSameTagType

    public final boolean isSameTagType(TagIdentifier tagWrapper)

  Parameters:
    `tagWrapper` -
  Returns:
    true if tagWrapper represents the same tag as this.

### asQName

    public final javax.xml.namespace.QName asQName()

  Returns:
    the QName equivalent. Returns a new object on every invocation.